org.apache.ivy.core.module.descriptor

## Interface DependencyDescriptorMediator

All Known Subinterfaces:
  ModuleDescriptor

All Known Implementing Classes:
  DefaultModuleDescriptor, OverrideDependencyDescriptorMediator, PomModuleDescriptorBuilder.PomModuleDescriptor

    public interface DependencyDescriptorMediator

A DependencyDescriptorMediator is responsible for dependency descriptor mediation.

Dependency descriptor mediation consists in adjusting dependency descriptors according to a context, environment, the stack of dependers, ...

### Method Summary

Methods
`DependencyDescriptor` `mediate(DependencyDescriptor dd)` Mediates the given `DependencyDescriptor` according to this `ModuleDescriptor`.

### Method Detail

#### mediate

    DependencyDescriptor mediate(DependencyDescriptor dd)

Mediates the given `DependencyDescriptor` according to this `ModuleDescriptor`.

This method gives the opportunity to a ModuleDescriptor to override dependency version information of any of its transitive dependencies, since it is called by dependency resolvers before actually resolving a dependency.

Parameters:
  `dd` - the dependency descriptor which should be mediated.
Returns:
  the mediated `DependencyDescriptor`, or the original `DependencyDescriptor` if no mediation is required by this ModuleDescriptor.